> For the complete documentation index, see [llms.txt](https://docs.wise-scripts.vip/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wise-scripts.vip/scripts/wise-faction/example-configs/main.md).

# Main

{% code lineNumbers="true" %}

```lua
Config = {}

Config.Debug = true

Config.Locale = "en"

---@alias NotifyTypes
---| '"ffa"' # Free for all Notification Type
---| '"gangwar"' # Gangwar Notification Type
---| '"robbery"' # Robbery Notification Type
---| '"info"' # Information Notification Type
---| '"success"' # Success Notification Type
---| '"error"' # Error Notification Type
---@param type NotifyTypes
Config.Notify = function(type, title, message, time)
	TriggerEvent("wise_faction:notify:send", type, title, message, time)
end

Config.HelpNotify = function(key, msg)
	exports.wise_faction:HelpNotify(key, msg)
end

-- Admin that can use the Commands (Faction Creator, Add XP, etc.)
Config.Admins = {
	"license:05a6dc85bf661b0631a26f773e002e7bd7a120ed",
	"discord:245575887326543874",
	-- ADD MORE ("license:" or "discord:" or "xbl:" or "steam:")
}

Config.Factions = {
	reloadcmd = "reloadf",  -- Reload Faction (Get Client Faction Data)
	showlevelcmd = "flevel", -- Reload Faction (Get Client Faction Data)
	CanChangeColors = true, 
	Npc = true,             -- Use NPCs for the Faction Menus
	NpcAnimation = true,		-- Plays Animations for NPC
	MaxXP = 3000,           -- Maxmimum XP that is need for the next Level
	BlipSize = 0.8,
	Leveling = {
		-- All Options what happens after leveling the Faction (adding more in the next Update)
		Warehouse = {
			AddSpace = 2 -- Space to add for each Level
		}
	}
}

Config.Warehouse = {
	SeparateItemTypes = false  -- The Slider in the Warehouse that filters Weapons and Items
}

Config.FactionCreator = {
	LiveUpdate = true -- Live Updates Faction Postions, etc. (Be carefull, this might cause Problems. Only use if testing)
}

Config.Garage = {
	UseFactionColor = true -- Use the Color of the Faction for the Vehicles
}

Config.Actions = {
	RegisterKeyMappings = true, -- Bind Commands to Keys
	Keys = {
		Handcuff = "NUMPAD4",
		PutInVehicle = "NUMPAD5",
		OutOfVehicle = "NUMPAD6",
		Drag = "NUMPAD7",
	}
}

Config.blipColorByName = {
	["red"] = 1,
	["green"] = 2,
	["blue"] = 3,
	["white"] = 4,
	["yellow"] = 5,
	["purple"] = 27,
	["orange"] = 81,
	["orangered"] = 51,
	["pink"] = 61,
	["black"] = 40,
  	["aqua"] = 26,
  	["azure"] = 63,
  	["beige"] = 36,
  	["bisque"] = 33,
  	["chartreuse"] = 24,
  	["chocolate"] = 21,
  	["coral"] = 17,
  	["crimson"] = 6,
  	["darkcyan"] = 30,
  	["darkgoldenrod"] = 28,
  	["darkgreen"] = 52,
  	["darkorange"] = 64,
  	["lightorange"] = 9,
  	["darkred"] = 76,
  	["deeppink"] = 61,
  	["firebrick"] = 76,
  	["forestgreen"] = 25,
 	["fuchsia"] = 48,
  	["gold"] = 46,
  	["gray"] = 39,
  	["lavender"] = 50,
  	["magenta"] = 27,
	["miami-color"] = 9,
	-- ADD MORE (Color Names, need to be available in wise_fw/settings)
	-- In wise_fw/settings you can set the HexColor for the ColorName
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wise-scripts.vip/scripts/wise-faction/example-configs/main.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
